Subject: Re: bug#79336: [PATCH] df: fix potential null pointer dereference

From: yubiao hu <[email-masked]>
Date: Mon, 1 Sep 2025 20:50:25 +0800

> On 8/31/25 18:58, yubiao hu wrote:
>> Yes, this bug was identified via static code analysis. The initial
>> finding that core dump would occur in `cell = xstrdup (mount_point);`
>> when mount_point is NULL.
>
> It appears that the static analysis is reporting a false positive. Which
> static analyzer are you using? Or are you doing this by hand?
>
> Do you get a false positive if you install the patch I sent you earlier?
> You can find that patch again here:
>
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=79336#8

The analysis was conducted using our internally-developed static
analysis tool. My apologies, but I am unable to share the tool itself
or its usage methodology.

I have tested the patch, and it can pacify my static analyzer.